import { createApp } from 'vue'
import { createPinia } from 'pinia'
import router from '@/router'
import App from '@/App.vue'
import useECharts from '@/plugins/echarts'
import bootstrap from '@/bootstrap'
import 'virtual:svg-icons-register'

import '@style/app.scss'

import 'element-plus/theme-chalk/src/message.scss'

const app = createApp(App).use(createPinia()).use(router)

useECharts()

app.mount('#app')

bootstrap()
